---
title: Delete (reset) DLP account-level settings to initial values.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Zero Trust](https://developers.cloudflare.com/api/typescript/resources/zero_trust)

[DLP](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/dlp)

[Settings](https://developers.cloudflare.com/api/typescript/resources/zero_trust/subresources/dlp/subresources/settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete (reset) DLP account-level settings to initial values.

client.zeroTrust.dlp.settings.delete(SettingDeleteParams {account\_id } params, RequestOptionsoptions?): [DLPSettings](<https://developers.cloudflare.com/api/typescript/resources/zero_trust#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)>) {ai\_context\_analysis, ocr, payload\_logging }

DELETE/accounts/{account\_id}/dlp/settings

Deletes account-level DLP settings and returns the initial values.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust Write`

##### ParametersExpand Collapse

<details>

<summary>

params: SettingDeleteParams {account\_id }

</summary>

account\_id: string

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.dlp.settings%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

DLPSettings {ai\_context\_analysis, ocr, payload\_logging }

DLP account-level settings response.

</summary>

ai\_context\_analysis: boolean

Whether AI context analysis is enabled at the account level.

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20ai_context_analysis">Link to this property</a>

ocr: boolean

Whether OCR is enabled at the account level.

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20ocr">Link to this property</a>

<details>

<summary>

payload\_logging: PayloadLogging {updated\_at, masking\_level, public\_key }

</summary>

updated\_at: string

formatdate-time

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20updated_at">Link to this property</a>

<details>

<summary>

masking\_level?: "full"| "partial"| "clear"| "default"

Masking level for payload logs.

- <code>full</code>: The entire payload is masked.
- <code>partial</code>: Only partial payload content is masked.
- <code>clear</code>: No masking is applied to the payload content.
- <code>default</code>: DLP uses its default masking behavior.

</summary>

One of the following:

"full"

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20masking_level%20%3E%20(member)%200">Link to this property</a>

"partial"

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20masking_level%20%3E%20(member)%201">Link to this property</a>

"clear"

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20masking_level%20%3E%20(member)%202">Link to this property</a>

"default"

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20masking_level%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20masking_level">Link to this property</a>

public\_key?: string| null

Base64-encoded public key for encrypting payload logs. Null when payload logging is disabled.

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging%20%3E%20(property)%20public_key">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)%20%3E%20(property)%20payload_logging">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.dlp.settings%20%3E%20(model)%20dlp_settings%20%3E%20(schema)>)

### Delete (reset) DLP account-level settings to initial values.

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const dlpSettings = await client.zeroTrust.dlp.settings.delete({ account_id: 'account_id' });

console.log(dlpSettings.ai_context_analysis);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_context_analysis": true,
    "ocr": true,
    "payload_logging": {
      "updated_at": "2019-12-27T18:11:19.117Z",
      "masking_level": "full",
      "public_key": "public_key"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_context_analysis": true,
    "ocr": true,
    "payload_logging": {
      "updated_at": "2019-12-27T18:11:19.117Z",
      "masking_level": "full",
      "public_key": "public_key"
    }
  }
}
```